Finetuning API
Header parameters
x-userstringRequired
username
Responses
200
Inference tasks list.
application/json
Task information.
namestringOptional
Task name.
idstringOptional
Task ID.
400
Unknown APIs.
application/json
get/v1/inference/tasks
GET /v1/inference/tasks HTTP/1.1
x-user: text
Accept: */*
[
{
"name": "text",
"id": "text"
}
]Header parameters
x-userstringRequired
username
Body
task_namestringOptional
Task name.
namespacestringOptionalDefault:
Task Name.
gpu-schedulerpriorityintegerOptional
Task priority.
modelstringOptional
Model name.
checkpointstringOptional
Checkpoint name.
ngpuintegerOptional
Number of GPU to be used by the inference task.
Responses
200
Inference task is created.
application/json
namestringOptional
Task name.
idstringOptional
Task ID.
400
Unknown APIs.
application/json
post/v1/inference/tasks
POST /v1/inference/tasks HTTP/1.1
x-user: text
Content-Type: application/json
Accept: */*
Content-Length: 105
{
"task_name": "text",
"namespace": "gpu-scheduler",
"priority": 1,
"model": "text",
"checkpoint": "text",
"ngpu": 1
}{
"name": "text",
"id": "text"
}Path parameters
idstringRequired
Header parameters
x-userstringRequired
username
Responses
200
Inference task information.
application/json
namestringOptional
Task name.
namespacestringOptional
Task namespace.
idstringOptional
Task ID.
prioritystringOptional
Task priority.
statusstringOptional
Task status.
inference_svc_namestringOptional
Inference service name.
inference_svc_urlstringOptional
Inference service url.
400
Unknown APIs.
application/json
get/v1/inference/tasks/{id}
GET /v1/inference/tasks/{id} HTTP/1.1
x-user: text
Accept: */*
{
"name": "text",
"namespace": "text",
"id": "text",
"priority": "text",
"status": "text",
"inference_svc_name": "text",
"inference_svc_url": "text"
}Last updated
Was this helpful?

